Subject: Re: [PATCH 0/3] netfilter : 3 patches to boost ip_tables performance

From: Andi Kleen <[email-masked]>
Date: Thu, 22 Sep 2005 15:03:21 +0200

> 1) No more central rwlock protecting each table (filter, nat, mangle, raw),
>     but one lock per CPU. It avoids cache line ping pongs for each packet.

Another useful change would be to not take the lock when there are no
rules. Currently just loading iptables has a large overhead.

-Andi